// -------------------------------------------------------------------------------------------------
// xsDialogoAcercaDe.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"


#ifndef __xsDialogoAcercaDe_hpp__
#define __xsDialogoAcercaDe_hpp__

Clase xsDialogoAcercaDe : Publica xsObjeto
{
	Publica:

	    xsDialogoAcercaDe();

        Vacio crear();

        Vacio colocarNombrePrograma(xsCadena nombre);

        Vacio colocarVersion(xsCadena version);
        
        Vacio colocarDerechosReservados(xsCadena derechos);

        Vacio colocarComentarios(xsCadena derechos);

        Vacio colocarSitioWeb(xsCadena sitio);

        Vacio colocarLogo(xsCadena logoArchivo);

        Vacio colocarLicencia(xsCadena licencia);

        Vacio colocarLicenciaTipo(xsLicencia licenciaTipo);
    
		Vacio ejecutar();

        Vacio centrar(xsObjetoGUI* ventanaPadre);
};

// Fin de la Definición del Archivo
#endif
